@charset "utf-8";

.title-section {
  position: relative;
  height: 100vh;
  width: 100vw;
  background-color: #4c4c4c;
  overflow: hidden;
}

.title-section .main_slick {
  z-index: 0;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.title-section .main_slick img {
  width: 100vw;
  height: 100vh;
  object-fit: cover;
  display: block;
}

.title-section .content-container {
  display: flex;
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  z-index: 0;
  flex-direction: column;
  justify-content: start;
  align-items: start;
  gap: 64px;
  padding: 150px 132px 191px;
}

.title-section .title-container {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 8px;
}

.title-section .title-container .title-text {
  word-break: keep-all;
  color: var(--global-white-a100, #fff);
  font-family: var(--ref-font-size-font-family-2, Pretendard);
  font-size: 64px;
  font-style: normal;
  font-weight: 700;
  line-height: 140%; /* 89.6px */
  white-space: pre-line;
}

.title-section .title-container .description-text {
  align-self: stretch;
  word-break: keep-all;

  color: var(--global-white-a89, rgba(255, 255, 255, 0.89));

  /* Title/Large */
  font-family: Pretendard;
  font-size: var(--ref-font-size-5-static, 20px);
  font-style: normal;
  font-weight: 700;
  line-height: 160%; /* 32px */
}

.title-section .button {
  display: flex;

  height: 68px;
  padding: 16px 48px;
  justify-content: center;
  align-items: center;
  gap: 8px;
  flex-shrink: 0;
  border-radius: 160px;
  background: var(--ref-primary-200, #3cd0d0);
  backdrop-filter: blur(2px);
}

.title-section .button:hover {
  display: flex;

  height: 68px;
  padding: 16px 48px;
  justify-content: center;
  align-items: center;
  gap: 8px;
  flex-shrink: 0;
  border-radius: 160px;
  background: var(--sys-surface-hover, #fafbfc);
  backdrop-filter: blur(2px);
}

.title-section .button .button-text {
  word-break: keep-all;
  color: var(--ref-base-black, #151818);
  text-align: center;

  /* Title/Large */
  font-family: Pretendard;
  font-size: var(--ref-font-size-5-static, 20px);
  font-style: normal;
  font-weight: 700;
  line-height: 160%; /* 32px */
}

@media screen and (max-width: 1023px) {
  .title-section .content-container {
    position: absolute;
    top: 50%;
    width: 100%;
    transform: translateY(-50%);
    z-index: 1;
    display: inline-flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 48px;
    padding: 118px 28px 118px 28px;
    box-sizing: border-box;
  }

  .title-section .title-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 8px;
  }

  .title-section .title-container .title-text {
    align-self: stretch;
    word-break: keep-all;

    color: var(--ref-base-white, #fff);
    text-align: center;

    /* Display/Small */
    font-family: Pretendard;
    font-size: var(--ref-font-size-9-fluent, 36px);
    font-style: normal;
    font-weight: 700;
    line-height: 160%; /* 57.6px */
  }

  .title-section .title-container .description-text {
    align-self: stretch;
    word-break: keep-all;

    color: var(--comp-cont-inverse, #fff);
    text-align: center;

    /* Title/Small */
    font-family: Pretendard;
    font-size: var(--ref-font-size-3-static, 16px);
    font-style: normal;
    font-weight: 700;
    line-height: 160%; /* 25.6px */
  }

  .title-section .button {
    display: flex;

    min-height: 68px;
    height: fit-content;

    padding: 16px 48px;
    justify-content: center;
    align-items: center;
    gap: 8px;
    flex-shrink: 0;
    border-radius: 160px;
    background: var(--ref-primary-200, #3cd0d0);
    backdrop-filter: blur(2px);
  }

  .title-section .button:hover {
    display: flex;

    min-height: 68px;
    height: fit-content;

    padding: 16px 48px;
    justify-content: center;
    align-items: center;
    gap: 8px;
    flex-shrink: 0;
    border-radius: 160px;
    background: var(--sys-surface-hover, #fafbfc);
    backdrop-filter: blur(2px);
  }

  .title-section .button .button-text {
    word-break: keep-all;
    color: var(--ref-base-black, #151818);
    text-align: center;
    /* Component/Large/Accent */
    font-family: Pretendard;
    font-size: var(--ref-font-size-3-static, 16px);
    font-style: normal;
    font-weight: 700;
    line-height: 100%; /* 16px */
  }
}
